<div class="container-fluid mt-3">
  <div *ngIf="!dataLoaded" class="lds-dual-ring"></div>
  <div *ngIf="dataLoaded">
    <h3>{{projectName}}</h3>
    <div class="row">
      <div class="col-12 col-md-12 col-lg-3 col-xl-4 col-sm-12">
        <div class="card mb-2">
          <div class="card-header">
            Total tasks
          </div>
          <div class="card-body card-body-text">
            <a [routerLink]="['/estimator-table/',projectId]">
              {{totalTasks}} tasks
            </a>
          </div>
        </div>
        <div class="card mb-2">
          <div class="card-header">
            Hours Spent on Tasks
          </div>
          <div class="card-body card-body-text">
            {{totalTimeLost}} hours
          </div>
        </div>
      </div>
      <div class="col-12 col-md-7 col-lg-5 col-xl-4 col-sm-12">
        <div *ngIf="rolesExist" class="card mb-2">
          <div class="card-header">
            Developers, Project Managers, QA diagram
          </div>
          <div class="card-body pie-card-body">
            <div class="pie-wrap">
              <ngx-charts-pie-chart [scheme]="pieColorTheme" [trimLabels]="false" [results]="pieData"
                [doughnut]="doughnut" [arcWidth]="arcWidth" [legend]="showLegend" [legendPosition]="pieLegendPosition"
                [labels]="showLabels">
              </ngx-charts-pie-chart>
            </div>
          </div>
        </div>
      </div>
      <div class="col-12 col-md-5 col-lg-4 col-xl-4 col-sm-12">
      </div>
    </div>
  </div>
</div>